### Name: ecolMod-package
### Title: A practical guide to ecological modelling - using R as a
###   simulation platform
### Aliases: ecolMod-package ecolMod
### Keywords: package

### ** Examples

## Not run: 
##D ## show examples (see respective help pages for details)
##D example(pricefit)
##D example(SCOC)
##D 
##D ## run demos
##D demo("chap1") # chapter 1. Introduction
##D demo("chap2") # chapter 2. Model formulation
##D demo("chap3") # chapter 3. Spatial components and transport
##D demo("chap4") # chapter 4. Parameterisation
##D demo("chap5") # chapter 5. Model solution - analytical methods
##D demo("chap6") # chapter 6. Model solution - numerical methods
##D demo("chap7") # chapter 7. Stability and steady-state
##D demo("chap8") # chapter 8. Multiple time scales and equilibrium processes
##D demo("chap9") # chapter 9. Discrete time models
##D demo("chap10") # chapter 10. Dynamic programming
##D demo("chap11") # chapter 11. Testing and validating the model
##D 
##D ## open the directory with source code of demos
##D browseURL(paste(system.file(package="ecolMod"), "/demo", sep=""))
##D 
##D ## open the directory with book examples
##D browseURL(paste(system.file(package="ecolMod"), "/examples", sep=""))
## End(Not run)



